Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 232239

Summary: Nautilus can't properly handle files with special characters in combination with WebDAV
Product: [Fedora] Fedora Reporter: Armijn Hemel <armijn>
Component: nautilusAssignee: Tomáš Bžatek <tbzatek>
Status: CLOSED WONTFIX QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: 9CC: triage, tsmetana
Target Milestone: ---Keywords: Reopened
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2009-07-14 17:21:13 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description Armijn Hemel 2007-03-14 15:24:43 UTC
Description of problem:

When I have a file that has a : in its name and transfer that file with Nautilus
to our WebDAV server I get weird behaviour. Copying to the WebDAV server with
Nautilus is not a problem. Anything else is. Right clicking on the file makes
the file "disappear" from the Nautilus window. Dragging the file back to my
desktop does not copy the file, deleting does not work. The same operations work
perfectly fine when I use files without a : in the name.

Version-Release number of selected component (if applicable):

nautilus-2.16.2-7.fc6

How reproducible:

Always

Steps to Reproduce:
1. set up a WebDAV server
2. make a file, add a : in the name
3. drag the file to the WebDAV server in Nautilus
4. try some operations on it
  
Actual results:

Nautilus can't handle operations on the file. No deletion, no copying, no
properties.

Expected results:

Nautilus should work normally.

Additional info:

Probably this has to do something with the translation of : between normal
filesystems and HTTP (I guess).

Comment 1 Armijn Hemel 2007-03-14 15:37:58 UTC
I just tested, it also happens with @

Comment 2 Armijn Hemel 2007-06-28 16:40:10 UTC
And it also happens when a file has a , in it. It's also present on Fedora 7.

Comment 3 Armijn Hemel 2007-11-25 18:31:17 UTC
This bug is still there in Fedora 8.

Comment 4 Bug Zapper 2008-05-14 12:10:29 UTC
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2008-06-17 01:16:23 UTC
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 6 Armijn Hemel 2008-12-08 11:07:30 UTC
Bug is still present in Fedora 9

Comment 7 Armijn Hemel 2008-12-15 13:59:58 UTC
Good news is that it seems to be fixed in Fedora 10. But, it's still here in Fedora 9.

Comment 8 Bug Zapper 2009-06-09 22:30:04 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-07-14 17:21:13 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.